import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _SRAcousticSettingsAccessibilityBackgroundSounds } from "./SRAcousticSettingsAccessibilityBackgroundSounds.js";
import type { _SRAcousticSettingsAccessibilityHeadphoneAccommodations } from "./SRAcousticSettingsAccessibilityHeadphoneAccommodations.js";
export declare class _SRAcousticSettingsAccessibility extends _NSObject {
    static alloc(): _SRAcousticSettingsAccessibility;
    static new(): _SRAcousticSettingsAccessibility;
    init(): _SRAcousticSettingsAccessibility;
    /** Audio volume between left and right channels */
    leftRightBalance(): number;
    /**
     * When in mono mode, audio output is the same audio from both the left and right channels
     */
    monoAudioEnabled(): boolean;
    /** Background Sounds Settings */
    backgroundSounds(): _SRAcousticSettingsAccessibilityBackgroundSounds;
    /** Headphone Accommodations Settings */
    headphoneAccommodations(): _SRAcousticSettingsAccessibilityHeadphoneAccommodations;
}
export interface _SRAcousticSettingsAccessibility extends _NSSecureCoding, _NSCopying {
}
